// HuaRongInputPiece.java

package com.sifang.modules.partner.dto;

import java.util.List;

public class HuaRongInputPiece {
    /**
     * 开户网点
     */
    private String accountBankBranch;
    /**
     * 年龄
     */
    private String age;
    /**
     * 是否存在共签人  1.是 0.否
     */
    private String isCosigner;
    /**
     * 共签人姓名
     */
    private String cosignerName;
    /**
     * 共签人证件号
     */
    private String cosigneridCardNo;
    /**
     * 共签人证件类型
     */
    private String cosignerIdCardType;
    /**
     * 共签人手机号
     */
    private String cosignerTelephoneNum;
    /**
     * 银行卡号
     */
    private String bank_code;
    /**
     * 户名
     */
    private String bank_name;
    /**
     * 生日
     */
    private String birthdayDate;
    /**
     * 承租人类型
     */
    private String tenant_type;
    /**
     * 商业模式
     */
    private String business_type;
    private String capital;
    /**
     * 对接方项目编号
     */
    private String capital_number;
    /**
     * 证件编号
     */
    private String certificateNumber;
    /**
     * 项目公司证件类型
     */
    private String certificateType;
    /**
     * 并网时间
     */
    private String connectedDate;
    /**
     * 经销商  N
     */
    private String distributor;
    /**
     * 是否电子签约
     */
    private String electronicSignFlag;
    /**
     * 发电户号每度电的价格(元/kwh)
     */
    private String electrovalence;
    private List<HuaRongEquipList> equipList;
    /**
     * 进件模式
     */
    private String filing_type;
    /**
     * 身份证有效日开始
     */
    private String icValidityBegin;
    /**
     * 身份证有效日结束
     */
    private String icValidityEnd;
    /**
     * 证件号码
     */
    private String id_code;
    /**
     * 证件类型
     */
    private String idCardType;
    /**
     * 租赁物类型
     */
    private String leaseItemCategory;
    /**
     * 产品编号
     */
    private String leaseScheme;
    /**
     * 期数
     */
    private String leaseTimes;
    /**
     * 厂商
     */
    private String manufacturer;
    /**
     * 手机号码
     */
    private String mobile;
    /**
     * 剩余留购款
     */
    private String nominalPrice;
    private String partner;
    /**
     * 农户合同号
     */
    private String peasantContCode;
    /**
     * 发电户号 第二次进件时必须传输
     */
    private String powerGenerationNo;
    /**
     * 资产类型
     */
    private String propertyType;
    /**
     * 还款频率
     */
    private String repayFrequency;
    /**
     * 屋顶类型
     */
    private String roof_type;
    /**
     * 出卖人
     */
    private String seller;
    /**
     * 性别
     */
    private String sex;
    /**
     * 姓名
     */
    private String tenant_name;
    /**
     * 开户行
     */
    private String tss_bank_num_name;
    /**
     * 是否经销商模式
     */
    private String venderModelFlag;

    /**
     * 第几次传输进件信息
     * 0：建档审核
     * 3：建档审核资料上传完成
     * 1：第一次进件
     * 2：第二次进件
     */
    private String howManyTimes;

    private String secondAccountCode;//二类卡银行账号

    private String secondAccountName;//二类卡账户户名

    private String secondBankName;//二类卡的开户行名称

    public String getSecondAccountCode() {
        return secondAccountCode;
    }

    public void setSecondAccountCode(String secondAccountCode) {
        this.secondAccountCode = secondAccountCode;
    }

    public String getSecondAccountName() {
        return secondAccountName;
    }

    public void setSecondAccountName(String secondAccountName) {
        this.secondAccountName = secondAccountName;
    }

    public String getSecondBankName() {
        return secondBankName;
    }

    public void setSecondBankName(String secondBankName) {
        this.secondBankName = secondBankName;
    }

    public String getHowManyTimes() {
        return howManyTimes;
    }

    public void setHowManyTimes(String howManyTimes) {
        this.howManyTimes = howManyTimes;
    }

    public List<HuaRongEquipList> getEquipList() {
        return equipList;
    }

    public void setEquipList(List<HuaRongEquipList> equipList) {
        this.equipList = equipList;
    }

    public String getAccountBankBranch() { return accountBankBranch; }
    public void setAccountBankBranch(String value) { this.accountBankBranch = value; }

    public String getAge() { return age; }
    public void setAge(String value) { this.age = value; }

    public String getBankCode() { return bank_code; }
    public void setBankCode(String value) { this.bank_code = value; }

    public String getBankName() { return bank_name; }
    public void setBankName(String value) { this.bank_name = value; }

    public String getBirthdayDate() { return birthdayDate; }
    public void setBirthdayDate(String value) { this.birthdayDate = value; }

    public String getTenantType() { return tenant_type; }
    public void setTenantType(String value) { this.tenant_type = value; }

    public String getBusinessType() { return business_type; }
    public void setBusinessType(String value) { this.business_type = value; }

    public String getCapital() { return capital; }
    public void setCapital(String value) { this.capital = value; }

    public String getCapitalNumber() { return capital_number; }
    public void setCapitalNumber(String value) { this.capital_number = value; }

    public String getCertificateNumber() { return certificateNumber; }
    public void setCertificateNumber(String value) { this.certificateNumber = value; }

    public String getCertificateType() { return certificateType; }
    public void setCertificateType(String value) { this.certificateType = value; }

    public String getConnectedDate() { return connectedDate; }
    public void setConnectedDate(String value) { this.connectedDate = value; }

    public String getDistributor() { return distributor; }
    public void setDistributor(String value) { this.distributor = value; }

    public String getElectronicSignFlag() { return electronicSignFlag; }
    public void setElectronicSignFlag(String value) { this.electronicSignFlag = value; }

    public String getElectrovalence() { return electrovalence; }
    public void setElectrovalence(String value) { this.electrovalence = value; }


    public String getFilingType() { return filing_type; }
    public void setFilingType(String value) { this.filing_type = value; }

    public String geticValidityBegin() { return icValidityBegin; }
    public void seticValidityBegin(String value) { this.icValidityBegin = value; }

    public String geticValidityEnd() { return icValidityEnd; }
    public void seticValidityEnd(String value) { this.icValidityEnd = value; }

    public String getidCode() { return id_code; }
    public void setidCode(String value) { this.id_code = value; }

    public String getidCardType() { return idCardType; }
    public void setidCardType(String value) { this.idCardType = value; }

    public String getLeaseItemCategory() { return leaseItemCategory; }
    public void setLeaseItemCategory(String value) { this.leaseItemCategory = value; }

    public String getLeaseScheme() { return leaseScheme; }
    public void setLeaseScheme(String value) { this.leaseScheme = value; }

    public String getLeaseTimes() { return leaseTimes; }
    public void setLeaseTimes(String value) { this.leaseTimes = value; }

    public String getManufacturer() { return manufacturer; }
    public void setManufacturer(String value) { this.manufacturer = value; }

    public String getMobile() { return mobile; }
    public void setMobile(String value) { this.mobile = value; }

    public String getNominalPrice() { return nominalPrice; }
    public void setNominalPrice(String value) { this.nominalPrice = value; }

    public String getPartner() { return partner; }
    public void setPartner(String value) { this.partner = value; }

    public String getPeasantContCode() { return peasantContCode; }
    public void setPeasantContCode(String value) { this.peasantContCode = value; }

    public String getPowerGenerationNo() { return powerGenerationNo; }
    public void setPowerGenerationNo(String value) { this.powerGenerationNo = value; }

    public String getPropertyType() { return propertyType; }
    public void setPropertyType(String value) { this.propertyType = value; }

    public String getRepayFrequency() { return repayFrequency; }
    public void setRepayFrequency(String value) { this.repayFrequency = value; }

    public String getRoofType() { return roof_type; }
    public void setRoofType(String value) { this.roof_type = value; }

    public String getSeller() { return seller; }
    public void setSeller(String value) { this.seller = value; }

    public String getSex() { return sex; }
    public void setSex(String value) { this.sex = value; }

    public String getTenantName() { return tenant_name; }
    public void setTenantName(String value) { this.tenant_name = value; }

    public String getTssBankNumName() { return tss_bank_num_name; }
    public void setTssBankNumName(String value) { this.tss_bank_num_name = value; }

    public String getVenderModelFlag() { return venderModelFlag; }
    public void setVenderModelFlag(String value) { this.venderModelFlag = value; }

    public String getIsCosigner() {
        return isCosigner;
    }

    public void setIsCosigner(String isCosigner) {
        this.isCosigner = isCosigner;
    }

    public String getCosignerName() {
        return cosignerName;
    }

    public void setCosignerName(String cosignerName) {
        this.cosignerName = cosignerName;
    }

    public String getCosigneridCardNo() {
        return cosigneridCardNo;
    }

    public void setCosigneridCardNo(String cosigneridCardNo) {
        this.cosigneridCardNo = cosigneridCardNo;
    }

    public String getCosignerIdCardType() {
        return cosignerIdCardType;
    }

    public void setCosignerIdCardType(String cosignerIdCardType) {
        this.cosignerIdCardType = cosignerIdCardType;
    }

    public String getCosignerTelephoneNum() {
        return cosignerTelephoneNum;
    }

    public void setCosignerTelephoneNum(String cosignerTelephoneNum) {
        this.cosignerTelephoneNum = cosignerTelephoneNum;
    }
}
